/*  csort.h

	defines necessary for csort and client applications
*/

#ifndef CSORT_H
#define CSORT_H

#define SORT_TYPE_RECORD  2
#define SORT_TYPE_LONG_PTRS    7

#define SORT_FILE_RELATIVE 0x01
#define SORT_FILE_CRLF     0x02

struct KEY_FIELD_S
{
	/*  each key/sort fields characteristics */
   int   iBeg;			/* !!! 0-Based */
   int   iLen;
   int   iOrder;
};

typedef struct KEY_FIELD_S KEY_FIELD_T;


#define SORT_ASCENDING  1
#define SORT_DESCENDING  -1


struct SORT_PARMS_S
{
	int   iSortType;
	int	iFileType;
	char	szProcId;
	char  szSourceFile[128];
	char  szDestFile[128];
	char  szWorkDir[128];
	int   iRecLen;
	long  lMemoryToUse;
	int   iNumSortFields;
	KEY_FIELD_T * pSortFields;
	long  lRecsInFile;
	long	lRecsSorted;  /* filled in on return, used for text file if filled in */
};

typedef struct SORT_PARMS_S SORT_PARMS_T;
typedef SORT_PARMS_T * SORT_PARMS_P;


#endif
