NAME
        FioCheckFileClear - Check if a file exists

SYNOPSIS

        #include <fio.h>

        int  FioCheckFileClear(pcSeedPathName)
        char * pcSeedPathName;

DESCRIPTION

        The file named as pcSeedPathName is checked for existance.

DIAGNOSTICS

        FIO_OK  - file does not exist
        FIO_FILE_OLD    - file exists


NAME
        FioGetFile - determine if a file is ready for reading

SYNOPSIS

        #include <fio.h>

        int FioGetFile(pcSeedPathName,iWaitSecs)
        char * pcSeedPathName;
        int iWaitSecs;

DESCRIPTION

        The file named as pcSeedPathName is checked for its existance and
        ability to be read based on a non-zero file size.  If the file does
        not exist, the routine will wait up to iWaitSecs seconds for the
        file to be created.

        NOTE:  With this release, FioGetFile no longer waits for a file
               to grow beyond zero bytes in size.  Through testing it
               was found that a process initiating communication to another
               process should create the file using a temporary and private
               filename.  After the file is closed, the file should be
               renamed to the name expected by the target/receiver process.
               This produces redundancy between FioGetFile and FioCheckFileClear.
               FioCheckFileClear is provided for backwards compatibility.  
               FioGetFile should be used instead of FioCheckFileClear in all 
               new code.
               
DIAGNOSTICS

        FIO_OK  - file is ready for reading
        FIO_NO_FILE - file does not exist


NAME
        FioRemoveFile - remove a file 

SYNOPSIS

        #include <fio.h>

        int  FioRemoveFile(pcSeedPathName)
        char * pcSeedPathName;

DESCRIPTION

        File pcSeedPathName is removed.
      
DIAGNOSTICS

        The default value supplied by the operating system call is
        passed back to the application.

NAME
        FioIncSeedPathName - increment a seed path name

SYNOPSIS

        #include <fio.h>

        int  FioIncSeedPathName(pcSeedPathName)
        char * pcSeedPathName;

DESCRIPTION

        File named by pcSeedPathName is given the next incrementing
        filename in the sequence.  By default, the sequence for
        file naming starts with the extension .000 (as supplied
        by the application).  With each successive call to 
        FioIncSeedPathName, the extension is incremented by 1.  When
        the extension passed in is .999, the extension passed out
        will wrap around to .000.

DIAGNOSTICS

        C_OK      - always returned


