/***********************************************************************
**+
**  Module Name:  str.h
**
**  Description:  Generic String Functions
**
**  Written by:  John Tal
**
**
**  Modification history:
**
**  Date         Engineer     Mod #          Modification Description
**
**  1987         Tal          v 1.0-001      Initial release
**-
***********************************************************************/

#ifndef STR_H
#define STR_H


#ifdef C_ANSI

INT Strncopy( char *szStr1, char *szStr2,INT   nLen);
INT Strnappend( char *szStr1, char *szStr2,INT   nLen);
INT StrAppendPath(char * sz1, char * sz2, char * sz3);
INT StrBreakFName(char * pcPathFile, char * pcPath, char * pcFile);
INT StrBreakFirst(char * pcPathFile, char * pcFirst, char * pcRest);
VOID StrReverse(CHAR * s);
VOID StrItoa(CHAR * s, INT n);
VOID StrSpaces(CHAR * s, INT i);
VOID StrLeft(CHAR * dest, CHAR * source, INT i);
VOID StrRight(CHAR * dest, CHAR * source, INT i);
VOID StrRtrim(CHAR * dest, CHAR * source);
VOID StrLtrim(CHAR * dest, CHAR * source);
VOID StrRpad(CHAR * dest, CHAR * source, INT i);
VOID StrRpad2(CHAR * dest, CHAR * source, INT i);
VOID StrLpad(CHAR * dest, CHAR * source, INT i);
VOID StrMid(CHAR * dest, CHAR * source, INT beg, INT len);
INT StrInChar(CHAR * source, CHAR find_char);
INT StrPos(CHAR * s, CHAR *t);
VOID StrRep(CHAR * dest, CHAR * source, CHAR find_char, CHAR rep_char);
VOID StrRpt(CHAR * dest, CHAR rpt_char, INT i);
#else
INT Strncopy();
INT Strnappend();
INT StrAppendPath();
INT StrBreakFName();
INT StrBreakFirst();
VOID StrReverse();
VOID StrItoa();
VOID StrSpaces();
VOID StrLeft();
VOID StrRight();
VOID StrRtrim();
VOID StrLtrim();
VOID StrRpad();
VOID StrRpad2();
VOID StrLpad();
VOID StrMid();
INT StrInChar();
INT StrPos();
VOID StrRep();
VOID StrRpt();

#ifndef _INC_STRING
int strstr();
#endif  /* _INC_STRING */
#endif



#endif

