INCLUDE = .
MEMORYMODEL = L
DEBUGOPTS = /Zp /Zi /Od 
DEFOPTS = /DC_ANSI /DTEST
CFLAGS = /I$(INCLUDE) /A$(MEMORYMODEL) $(DEBUGOPTS) $(DEFOPTS) /W3
COMPILER = cl /c
LINKER = link
LINKFLAGS = /CO /ST:5120
LIBMGR = lib
# CAPTURE = > $@.err



db.obj : db.c
        $(COMPILER) $(CFLAGS) db.c 

db.exe : db.obj
        $(LINKER) $(LINKFLAGS) db,,,,

cpt.obj : cpt.c
        $(COMPILER) $(CFLAGS) cpt.c $(CAPTURE)

cpt.exe : cpt.obj
        $(LINKER) $(LINKFLAGS) cpt,,,,

memlib.obj : memlib.c
	$(COMPILER) $(CFLAGS) memlib.c

memlib.lib : memlib.obj
        $(LIBMGR) memlib -+ memlib,,

mos.obj : mos.c
        $(COMPILER) $(CFLAGS) mos.c $(CAPTURE)


fio.obj : fio.c
        $(COMPILER) $(CFLAGS) fio.c $(CAPTURE)


fio.exe : fio.obj mos.obj memlib.lib
        $(LINKER) $(LINKFLAGS) fio+mos.obj,,,memlib

vmm.obj : vmm.c
        $(COMPILER) $(CFLAGS) vmm.c $(CAPTURE)

vmm.exe : vmm.obj memlib.lib
        $(LINKER) $(LINKFLAGS) vmm,,,memlib


wfl.obj : wfl.c
        $(COMPILER) $(CFLAGS) wfl.c $(CAPTURE)


wfl.exe : wfl.obj mos.obj memlib.lib
        $(LINKER) $(LINKFLAGS) wfl+mos.obj,,,memlib



