#*********************************************************
# memlib.mak 
#
# "make" member that describes required files for memlib.mak 
#*********************************************************

PRODSRC= .
PRODLIB= .
PRODINC= .

MEMLIB= $(PRODLIB)/libmem.a

all: $(MEMLIB) mem_test

.KEEP_STATE:

CFLAGS= -c -g -I$(PRODINC) -DC_UNIX

OBJECTS=$(PRODSRC)/memlib.o 

$(MEMLIB): $(OBJECTS)
	ar rv $@ $?
	ranlib $@

mem_test: mem_test.c $(MEMLIB)
	cc  $(CFLAGS) mem_test.c
	cc  -o mem_test mem_test.o -L$(PRODLIB) -lmem


wfl: wfl.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST wfl.c
	cc  -o wfl wfl.o mos.o -L$(PRODLIB) -lmem

mos: mos.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST mos.c
	cc  -o mos mos.o -L$(PRODLIB) -lmem

cpt: cpt.c 
	cc  $(CFLAGS) -DTEST cpt.c
	cc  -o cpt cpt.o 

mos_wfl: mos_wfl.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST mos_wfl.c
	cc  -o mos_wfl mos_wfl.o wfl.o -L$(PRODLIB) -lmem

mfm: mfm.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST mfm.c
	cc  -o mfm mfm.o mos.o -L$(PRODLIB) -lmem 

fio: fio.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST fio.c
	cc  -o fio fio.o mos.o -L$(PRODLIB) -lmem

vmm: vmm.c $(MEMLIB)
	cc  $(CFLAGS) -DTEST vmm.c
	cc  -o vmm vmm.o -L$(PRODLIB) -lmem
